Package com.orchestranetworks.ui.toolbar

# Interface ToolbarMenu

All Known Subinterfaces:
  `ToolbarMenuButton`, `ToolbarSubMenuItem`

public interface ToolbarMenu
Allows to define a menu.

Since:
  5.7.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ToolbarMenuGroup`
  `addGroup()`
  Creates a new instance of a group and adds it directly in this menu button.
  `ToolbarMenuGroup`
  `addGroup(UserMessage aLabel)`
  Creates a new instance of a group with label, and adds it directly in this menu button.
  `ToolbarMenuGroup`
  `addGroup(String aLabel)`
  Creates a new instance of a group with label, and adds it directly in this menu button.
  `void`
  `addServiceGroup(ServiceGroupKey aGroupKey)`
  Sets the key of the group of service to be displayed.
  `void`
  `addServiceGroup(ServiceGroupKey aGroupKey, boolean isSmartFiltering)`
  Sets the key of the group of service to be displayed.
  `void`
  `addServiceGroup(ServiceGroupKey aGroupKey, List<ServiceKey> excludedService, boolean isSmartFiltering)`
  Sets the key of the group of service to be displayed.

- ## Method Details

  - ### addGroup

    ToolbarMenuGroup addGroup()
    Creates a new instance of a group and adds it directly in this menu button.
    Returns:
      the new instance of the group so that it can be modified.

  - ### addGroup

    ToolbarMenuGroup addGroup(UserMessage aLabel)
    Creates a new instance of a group with label, and adds it directly in this menu button.
    Returns:
      the new instance of the group so that it can be modified.

  - ### addGroup

    ToolbarMenuGroup addGroup(String aLabel)
    Creates a new instance of a group with label, and adds it directly in this menu button.
    Returns:
      the new instance of the group so that it can be modified.

  - ### addServiceGroup

    void addServiceGroup(ServiceGroupKey aGroupKey)
    Sets the key of the group of service to be displayed.
    Parameters:
      `aGroupKey` - the key of the group of service to be displayed.

  - ### addServiceGroup

    void addServiceGroup(ServiceGroupKey aGroupKey, boolean isSmartFiltering)
    Sets the key of the group of service to be displayed.
    Parameters:
      `aGroupKey` - the key of the group of service to be displayed.
      `isSmartFiltering` - if true, all actions that are displayed in an action button in the toolbar will be removed from this group.

  - ### addServiceGroup

    void addServiceGroup(ServiceGroupKey aGroupKey, List<ServiceKey> excludedService, boolean isSmartFiltering)
    Sets the key of the group of service to be displayed.
    Parameters:
      `aGroupKey` - the key of the group of service to be displayed.
      `excludedService` - list of service keys to exclude from this group.
      `isSmartFiltering` - if true, all actions that are displayed in an action button in the toolbar will be removed from this group.